# Legacy Import Products Legacy Import Products ## Gets all of the legacy import products in the system. - [GET /legacyImportProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/legacy-import-products/listlegacyimportproducts.md): This method will scan all legacy import products and and return them to the caller. ## Creates a new legacy import product record that does not already exist. - [POST /legacyImportProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/legacy-import-products/createlegacyimportproduct.md): This method will auto-generate an ID and create a new legacy import product. If an ID is specified for the legacy import product, an error will be thrown. ## Execute Batch Operations - [POST /legacyImportProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/legacy-import-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a legacy import product from the system by its ID. - [DELETE /legacyImportProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/legacy-import-products/deletelegacyimportproduct.md): This method will delete a legacy import product with the specified ID. ## Returns a legacy import product from the system by its ID. - [GET /legacyImportProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/legacy-import-products/getlegacyimportproduct.md): This method will look up a legacy import product by the specified ID and return it back. ## Partially updates a legacy import product with the specified ID. - [PATCH /legacyImportProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/legacy-import-products/patchlegacyimportproduct.md): This method will patch an existing legacy import product with the specified ID, using the HTTP PATCH specification. ## Updates a legacy import product with the specified ID. - [PUT /legacyImportProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/legacy-import-products/updatelegacyimportproduct.md): This method will update an existing legacy import product with the specified ID.